# include/xapian/query.h File Reference

Classes for representing a query. More...

`#include <string>`
`#include <vector>`
`#include <xapian/base.h>`
`#include <xapian/types.h>`
`#include <xapian/termiterator.h>`

Include dependency graph for query.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Xapian

## Classes

class | Xapian::Query
| Class representing a query. More...
class | Xapian::Query::Internal
| Internal class, implementing most of Xapian::Query. More...

## Detailed Description

Classes for representing a query.